Bug 105864

Summary: Rename StyleResolver's member variable that holds SelectorChecker to a proper name.
Product: WebKit Reporter: Dimitri Glazkov (Google) <dglazkov>
Component: New BugsAssignee: Dimitri Glazkov (Google) <dglazkov>
Status: RESOLVED FIXED    
Severity: Normal CC: allan.jensen, cmarcelo, eric, koivisto, macpherson, menard, ojan.autocc, webkit.review.bot
Priority: P2    
Version: 528+ (Nightly build)   
Hardware: Unspecified   
OS: Unspecified   
Bug Depends on:    
Bug Blocks: 89879    
Attachments:
Description Flags
Patch none

Description Dimitri Glazkov (Google) 2012-12-29 16:44:35 PST
Rename StyleResolver's member variable that holds SelectorChecker to a proper name.
Comment 1 Dimitri Glazkov (Google) 2012-12-29 16:46:45 PST
Created attachment 180947 [details]
Patch
Comment 2 Eric Seidel (no email) 2012-12-29 16:49:27 PST
Comment on attachment 180947 [details]
Patch

LGTM.
Comment 3 WebKit Review Bot 2012-12-29 17:24:03 PST
Comment on attachment 180947 [details]
Patch

Clearing flags on attachment: 180947

Committed r138572: <http://trac.webkit.org/changeset/138572>
Comment 4 WebKit Review Bot 2012-12-29 17:24:07 PST
All reviewed patches have been landed.  Closing bug.
Comment 5 Antti Koivisto 2012-12-30 00:35:52 PST
Comment on attachment 180947 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=180947&action=review

> Source/WebCore/css/StyleResolver.cpp:2260
> -    SelectorChecker::SelectorMatch match = m_checker.checkSelector(context, m_dynamicPseudo);
> +    SelectorChecker::SelectorMatch match = m_selectorChecker.checkSelector(context, m_dynamicPseudo);

To reduce redundancy it would also be nice to remove the word 'selector' from the SelectorChecker methods.
Comment 6 Antti Koivisto 2012-12-30 00:38:22 PST
...and enums too

SelectorChecker::SelectorMatch -> SelectorChecker::Match
Comment 7 Dimitri Glazkov (Google) 2013-01-08 21:06:39 PST
(In reply to comment #6)
> ...and enums too
> 
> SelectorChecker::SelectorMatch -> SelectorChecker::Match

Good idea! See bug 106413.